#pragma once

#include "accessor.h"

/* A block file accessor, providing flexpages corresponding to the regions of
   loaded files. */

class BlockFileAccessor : public Accessor
{
protected:
    char *_data;

public:
    explicit BlockFileAccessor(const char *path, fileid_t fileid);

    /* Data transfer methods. */

    virtual void fill(Flexpage *flexpage);

    virtual void flush(Flexpage *flexpage);
};

// vim: tabstop=4 expandtab shiftwidth=4
